メインコンテンツへ
BlueAI
ホーム/スケジューラ/カレンダー連携

カレンダー連携(Calendar Connections)

Google カレンダーなど外部カレンダーとの連携・同期を管理します。

|

エンドポイント

POST/api/v1/scheduler/calendars/connect/googleGoogle カレンダーを連携
GET/api/v1/scheduler/calendars/callback/googleGoogle OAuth コールバック
GET/api/v1/scheduler/calendars/connectionsカレンダー連携一覧を取得
POST/api/v1/scheduler/calendars/connections/{id}/syncカレンダーを同期
POST/api/v1/scheduler/calendars/connections/{id}/disconnectカレンダー連携を解除
POST/api/v1/scheduler/calendars/connect/google

Google カレンダーを連携

認証が必要ですセッション Cookie または Bearer トークンを含めてください

コード例

curl -X POST "https://api.blueai.jp/api/v1/scheduler/calendars/connect/google" \
  -H "Cookie: better-auth.session_token=<token>"
GET/api/v1/scheduler/calendars/callback/google

Google OAuth コールバック

認証が必要ですセッション Cookie または Bearer トークンを含めてください

コード例

curl "https://api.blueai.jp/api/v1/scheduler/calendars/callback/google" \
  -H "Cookie: better-auth.session_token=<token>"
GET/api/v1/scheduler/calendars/connections

カレンダー連携一覧を取得

認証が必要ですセッション Cookie または Bearer トークンを含めてください

コード例

curl "https://api.blueai.jp/api/v1/scheduler/calendars/connections" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/scheduler/calendars/connections/{id}/sync

カレンダーを同期

認証が必要ですセッション Cookie または Bearer トークンを含めてください

パスパラメータ

名前必須説明
id
string任意カレンダー連携 ID

コード例

curl -X POST "https://api.blueai.jp/api/v1/scheduler/calendars/connections/deal_123e4567e89b12d3a456426614174000/sync" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/scheduler/calendars/connections/{id}/disconnect

カレンダー連携を解除

認証が必要ですセッション Cookie または Bearer トークンを含めてください

パスパラメータ

名前必須説明
id
string任意カレンダー連携 ID

コード例

curl -X POST "https://api.blueai.jp/api/v1/scheduler/calendars/connections/deal_123e4567e89b12d3a456426614174000/disconnect" \
  -H "Cookie: better-auth.session_token=<token>"